name: Deploy Integration
on:
  push:
    branches: [ integration ]

permissions:
  id-token: write
  contents: read

jobs:
  deploy:
    name: Deploy Integration
    uses: something-colombia/afwt-coe-reusable-pipeline/.github/workflows/deploy_python_lambda.yml@main
    with:
      path-environments-variables: "pipeline/integration-task-definition-virginia.json"
      environment: integration

    secrets:
        MATI_READER_GITHUB_ACCESS_TOKEN: ${{ secrets.MATI_READER_GITHUB_ACCESS_TOKEN }}
        AWS_ACCOUNT_ID: ${{ secrets.AWS_ACCOUNT_ID }}
        AWS_ROLE_DEPLOY_BACKEND: ${{ secrets.AWS_ROLE_DEPLOY_BACKEND }}
